@mixin min-width($key) {
    $breakpoint: breakpoint($key);

    @if $breakpoint {
        @media (min-width: #{$breakpoint}px) { @content; }
    }
}

@mixin max-width($key) {
    $breakpoint: breakpoint($key);

    @if $breakpoint {
        @media (max-width: #{$breakpoint}px) { @content; }
    }
}

@mixin mobile() {
    $breakpointMobileKey: map-get($data, 'breakpointMobile');
    
    @if $breakpointMobileKey {
        $breakpointMobile: breakpoint($breakpointMobileKey);

        @if $breakpointMobile {
            @media (max-width: #{$breakpointMobile - 1}px) { @content; }
        }
    }
}

@mixin desktop() {
    $breakpointDesktopKey: map-get($data, 'breakpointDesktop');
    
    @if $breakpointDesktopKey {
        $breakpointDesktop: breakpoint($breakpointDesktopKey);

        @if $breakpointDesktop {
            @media (min-width: #{$breakpointDesktop}px) { @content; }
        }
    }
}